package eu.semiramis.policymodel.utils;

import java.io.ByteArrayInputStream;
import java.io.InputStream;
import java.io.UnsupportedEncodingException;

import javax.xml.parsers.ParserConfigurationException;

import org.opensaml.xml.ConfigurationException;
import org.opensaml.xml.XMLObjectBuilderFactory;
import org.opensaml.xml.io.MarshallerFactory;
import org.opensaml.xml.io.UnmarshallerFactory;

public class PolicyModelXACMLUtils {
		
	protected XMLObjectBuilderFactory builderFactory = null;
	protected MarshallerFactory marshallerFactory = null;
	protected javax.xml.parsers.DocumentBuilderFactory dbf = null;
	protected javax.xml.parsers.DocumentBuilder db = null;
	protected UnmarshallerFactory unMarshallerFactory = null;
	
	protected void init() throws ConfigurationException, ParserConfigurationException {
		
		
		org.apache.xml.security.Init.init();
		
		builderFactory = org.opensaml.xml.Configuration.getBuilderFactory();
		marshallerFactory = org.opensaml.xml.Configuration
			.getMarshallerFactory();

		dbf = javax.xml.parsers.DocumentBuilderFactory.newInstance();
		db = dbf.newDocumentBuilder();
		dbf.setNamespaceAware(true);
		unMarshallerFactory = org.opensaml.xml.Configuration
			.getUnmarshallerFactory();
	}
	
	protected InputStream stringToInputStream(String s) {
        try {
            InputStream is = new ByteArrayInputStream(s.getBytes("UTF-8"));
            return is;
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }
        
        return null;
    }	
}
